## ros-geometry2 0.7.2

=== test_tf2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(test_tf2)

find_package(catkin REQUIRED COMPONENTS rosconsole roscpp rostest tf tf2 tf2_bullet tf2_ros tf2_geometry_msgs tf2_kdl tf2_msgs)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(orocos_kdl REQUIRED)

catkin_package()

if(NOT CATKIN_ENABLE_TESTING)
  return()
endif()

include_directories(${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})

link_directories(${orocos_kdl_LIBRARY_DIRS})

catkin_add_gtest(buffer_core_test test/buffer_core_test.cpp)
target_link_libraries(buffer_core_test ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_tf2_message_filter test/test_message_filter.cpp)
target_link_libraries(test_tf2_message_filter ${Boost_LIBRARIES} ${catkin_LIBRARIES})

catkin_add_gtest(test_convert test/test_convert.cpp)
target_link_libraries(test_convert ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_utils test/test_utils.cpp)
target_link_libraries(test_utils ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

add_executable(test_buffer_server EXCLUDE_FROM_ALL test/test_buffer_server.cpp)
target_link_libraries(test_buffer_server ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_executable(test_buffer_client EXCLUDE_FROM_ALL test/test_buffer_client.cpp)
target_link_libraries(test_buffer_client ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})


add_rostest(test/buffer_client_tester.launch)

add_executable(test_static_publisher EXCLUDE_FROM_ALL test/test_static_publisher.cpp)
target_link_libraries(test_static_publisher ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_rostest(test/static_publisher.launch)


add_executable(test_tf2_bullet EXCLUDE_FROM_ALL test/test_tf2_bullet.cpp)
target_link_libraries(test_tf2_bullet ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_tf2_bullet.launch)


if(TARGET tests)
  add_dependencies(tests test_buffer_server test_buffer_client test_static_publisher test_tf2_bullet)
endif()


# used as a test fixture
if(TARGET tf2_ros_static_transform_publisher)
  add_dependencies(tests tf2_ros_static_transform_publisher test_static_publisher)
endif()

=== tf2_py/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_py)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS rospy tf2)

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


find_package(PythonLibs 2 REQUIRED)
include_directories(${PYTHON_INCLUDE_PATH} ${catkin_INCLUDE_DIRS})

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   std_msgs  # Or other packages containing msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES tf2_py
  CATKIN_DEPENDS rospy tf2
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

## Declare a cpp library
# add_library(tf2_py
#   src/${PROJECT_NAME}/tf2_py.cpp
# )

## Declare a cpp executable
# add_executable(tf2_py_node src/tf2_py_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(tf2_py_node tf2_py_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(tf2_py_node
#   ${catkin_LIBRARIES}
# )


# Check for SSE
#!!! rosbuild_check_for_sse()

# Dynamic linking with tf worked OK, except for exception propagation, which failed in the unit test.
# so build with the objects directly instead.

link_libraries(${PYTHON_LIBRARIES})
add_library(tf2_py src/tf2_py.cpp)
target_link_libraries(tf2_py ${catkin_LIBRARIES})
add_dependencies(tf2_py ${catkin_EXPORTED_TARGETS})

if(WIN32)
  # use .pyd extension on Windows
  set_target_properties(tf2_py PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".pyd")
else()
  set_target_properties(tf2_py PROPERTIES COMPILE_FLAGS "-g -Wno-missing-field-initializers")
  set_target_properties(tf2_py PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".so")
endif()
set_target_properties(tf2_py PROPERTIES
  ARCHIVE_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
  RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_PYTHON_DESTINATION}
)
#!! rosbuild_add_compile_flags(tf2_py ${SSE_FLAGS}) #conditionally adds sse flags if available


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
# install(TARGETS tf2_py tf2_py_node
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

install(FILES $<TARGET_FILE:tf2_py>
    DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_tf2_py.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-geometry2 (0.7.2-3) unstable; urgency=medium

  * Add patch to make build reproducible

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Jul 2020 21:57:30 +0200

ros-geometry2 (0.7.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 07:20:03 +0200

ros-geometry2 (0.7.2-1) experimental; urgency=medium

  * New upstream version 0.7.2
  * Remove Thomas from Uploaders, thanks for working on this
  * update copyright
  * rebase patches
  * bump debhelper version
  * bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 22:58:51 +0200

ros-geometry2 (0.6.6-2) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Build for all supported versions of python3.

  [ Jochen Sprickerhof ]
  * Support multiple Python version
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Apr 2020 15:11:28 +0200

=== debian/control ===
Source: ros-geometry2
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13),
		catkin (>= 0.7.14-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python3-all-dev, python3-setuptools, dh-sequence-python3,
		libgeometry-msgs-dev, ros-actionlib-msgs,
		libconsole-bridge-dev, python3-rospy (>= 1.14.3+ds1-7), python3-rosgraph (>= 1.14.3+ds1-7),
		libactionlib-dev, librosconsole-dev,
		libros-rosgraph-msgs-dev, libxmlrpcpp-dev,
		libmessage-filters-dev, ros-cmake-modules, libeigen3-dev,
		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
		libboost-dev, libboost-thread-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev, ros-sensor-msgs, librostest-dev,
Standards-Version: 4.5.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometry2
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry2
Vcs-Git: https://salsa.debian.org/science-team/ros-geometry2.git

Package: libtf2-2d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the library itself.

Package: libtf2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtf2-2d ( = ${binary:Version}), libconsole-bridge-dev, libboost-dev, libgeometry-msgs-dev, libroscpp-core-dev, libtf2-msgs-dev, libtf2-geometry-msgs-dev,
Description: Robot OS tf2 transform library - development files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files of the tf2 library.

Package: python3-tf2
Section: python
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-rospy, libtf2-dev, python3-geometry-msgs
Breaks: python-tf2 (<< 0.6.5-4)
Replaces: python-tf2 (<< 0.6.5-4)
Description: Robot OS tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 binding.

Package: libtf2-ros1d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS binding for tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the ROS bindings to tf2.

Package: libtf2-ros-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libtf2-dev, libtf2-ros1d (= ${binary:Version}), libactionlib-dev, libactionlib-msgs-dev, libgeometry-msgs-dev, libmessage-filters-dev, libroscpp-dev, libtf2-msgs-dev,
Description: Robot OS binding for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files of the ROS binding to tf2.

Package: python3-tf2-ros
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-tf2, python3-rospy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs, python3-tf2, python3-rosgraph, python3-geometry-msgs
Description: Robot OS binding for tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the ROS Python 3 binding to tf2.

Package: ros-tf2-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
Description: Robot OS messages for tf2 transform library - definitions
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the message definitions.

Package: libtf2-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ros-message-generation, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Robot OS messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files.

Package: python3-tf2-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-geometry-msgs, python3-actionlib-msgs
Description: Robot OS messages for tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 code.

Package: cl-tf2-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Robot OS tf2 transform library messages - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the LISP binding (messages).

Package: cl-tf2-srvs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS tf2 transform library services - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the LISP binding (services).


Package: libtf2-sensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libeigen3-dev, libsensor-msgs-dev, libtf2-ros-dev, libtf2-dev
Description: Small lib for ROS to transform sensor_msgs with tf2 - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains utils to transform sensor_msgs with tf2.

Package: python3-tf2-sensor-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-sensor-msgs, python3-pykdl, python3-rospy, python3-tf2-ros
Description: Robot OS sensor messages for tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 code to transform sensor_msgs with tf2.

Package: libtf2-bullet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev, libbullet-dev,
Description: Robot OS tf2 transform library for Bullet - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files for libtf2 for Bullet.

#tf2_eigen
Package: libtf2-eigen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libeigen3-dev, libgeometry-msgs-dev, libtf2-dev
Description: Robot OS tf2 transform library for Eigen - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains development files to convert between libtf2 and Eigen.

#tf2_geometry_msgs
Package: libtf2-geometry-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liborocos-kdl-dev, ${misc:Depends}, libgeometry-msgs-dev, libtf2-dev,
Description: Robot OS geometry messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .

## ros-geometry2 0.7.5

=== geometry2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(geometry2)
find_package(catkin REQUIRED)
catkin_metapackage()

=== tf2_bullet/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_bullet)

find_package(PkgConfig REQUIRED)

set(bullet_FOUND 0)
pkg_check_modules(bullet bullet)
if(NOT bullet_FOUND)
    # windows build bullet3 doesn't come with pkg-config by default and it only comes with CMake config files
    # so pkg_check_modules will fail
    find_package(bullet REQUIRED)

    # https://github.com/bulletphysics/bullet3/blob/master/BulletConfig.cmake.in
    set(bullet_INCLUDE_DIRS "${BULLET_INCLUDE_DIRS}")
endif()

find_package(catkin REQUIRED COMPONENTS geometry_msgs tf2)

include_directories(include ${bullet_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package(INCLUDE_DIRS include ${bullet_INCLUDE_DIRS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})


if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_bullet test/test_tf2_bullet.cpp)
target_link_libraries(test_bullet ${catkin_LIBRARIES} ${GTEST_LIBRARIES})

endif()

=== tf2_kdl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_kdl)

find_package(orocos_kdl)
find_package(catkin REQUIRED COMPONENTS cmake_modules tf2 tf2_ros tf2_msgs)

# Finding Eigen is somewhat complicated because of our need to support Ubuntu
# all the way back to saucy.  First we look for the Eigen3 cmake module
# provided by the libeigen3-dev on newer Ubuntu.  If that fails, then we
# fall-back to the version provided by cmake_modules, which is a stand-in.
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()

# Note that eigen 3.2 (on Ubuntu Wily) only provides EIGEN3_INCLUDE_DIR,
# not EIGEN3_INCLUDE_DIRS, so we have to set the latter from the former.
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()


catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  DEPENDS EIGEN3 orocos_kdl
)


catkin_python_setup()
link_directories(${orocos_kdl_LIBRARY_DIRS})

include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${GTEST_INCLUDE_DIRS})


install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

catkin_install_python(PROGRAMS scripts/test.py
         DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


if(CATKIN_ENABLE_TESTING)

  find_package(catkin REQUIRED COMPONENTS rostest tf2 tf2_ros tf2_msgs)

  add_executable(test_kdl EXCLUDE_FROM_ALL test/test_tf2_kdl.cpp)
  find_package(Threads)
  target_include_directories(test_kdl PUBLIC ${orocos_kdl_INCLUDE_DIRS})
  target_link_libraries(test_kdl ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES} ${GTEST_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

  add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
  add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_python.launch)

  if(TARGET tests)
    add_dependencies(tests test_kdl)
  endif()

endif()

=== tf2_py/CMakeLists.txt ===
--- 
+++ 
@@ -96,7 +96,7 @@
 
 if(WIN32)
   # use .pyd extension on Windows
-  set_target_properties(tf2_py PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".pyd")
+  set_target_properties(tf2_py PROPERTIES OUTPUT_NAME "_tf2" SUFFIX ".pyd")
 else()
   set_target_properties(tf2_py PROPERTIES COMPILE_FLAGS "-g -Wno-missing-field-initializers")
   set_target_properties(tf2_py PROPERTIES OUTPUT_NAME tf2 PREFIX "_" SUFFIX ".so")

=== tf2_tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_tools)

find_package(catkin REQUIRED COMPONENTS tf2
                                         tf2_msgs
                                         tf2_ros
)

catkin_package(
   CATKIN_DEPENDS tf2
                  tf2_msgs
                  tf2_ros)

install(PROGRAMS scripts/view_frames.py scripts/echo.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-geometry2 (0.7.5-9build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:52:32 +0000

ros-geometry2 (0.7.5-9) unstable; urgency=medium

  * Fix test without hostname set

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Dec 2021 11:12:40 +0100

ros-geometry2 (0.7.5-8) unstable; urgency=medium

  * Drop old Breaks/Replaces
  * Add patch for flaky test (Closes: #1002362)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Dec 2021 09:46:06 +0100

ros-geometry2 (0.7.5-7) unstable; urgency=medium

  * Enable tests
  * Fix duplicate dependency
  * Ignore test results on !amd64

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 18:11:47 +0200

ros-geometry2 (0.7.5-6) unstable; urgency=medium

  * Remove duplicate link against orocos-kdl
  * Add myself as uploader
  * Fix ancient cmake_minimum_required for autopkgtest

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Oct 2021 23:24:19 +0200

ros-geometry2 (0.7.5-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:27 +0200

ros-geometry2 (0.7.5-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 23:05:46 +0200

ros-geometry2 (0.7.5-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:44:51 +0100

ros-geometry2 (0.7.5-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 10:12:47 +0100

ros-geometry2 (0.7.5-1) unstable; urgency=medium

  * New upstream version 0.7.5

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Sep 2020 23:17:34 +0200

ros-geometry2 (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Aug 2020 16:52:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
+           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+           Timo Röhling <roehling@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-		catkin (>= 0.7.14-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+		catkin (>= 0.8.10-1~), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
 		python3-all-dev, python3-setuptools, dh-sequence-python3,
 		libgeometry-msgs-dev, ros-actionlib-msgs,
 		libconsole-bridge-dev, python3-rospy (>= 1.14.3+ds1-7), python3-rosgraph (>= 1.14.3+ds1-7),
@@ -14,8 +15,10 @@
 		liborocos-kdl-dev, libsensor-msgs-dev, libbullet-dev,
 		libboost-dev, libboost-thread-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
-		libroscpp-dev, ros-sensor-msgs, librostest-dev,
-Standards-Version: 4.5.0
+		libroscpp-dev, ros-sensor-msgs, librostest-dev, libgtest-dev,
+		python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-sensor-msgs <!nocheck>,
+		python3-pykdl <!nocheck>, python3-actionlib <!nocheck>,
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometry2
@@ -55,8 +58,6 @@
 Section: python
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, python3-rospy, libtf2-dev, python3-geometry-msgs
-Breaks: python-tf2 (<< 0.6.5-4)
-Replaces: python-tf2 (<< 0.6.5-4)
 Description: Robot OS tf2 transform library - Python 3
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -99,7 +100,7 @@
 Package: python3-tf2-ros
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-tf2, python3-rospy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs, python3-tf2, python3-rosgraph, python3-geometry-msgs
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rospy, python3-std-msgs, python3-actionlib, libtf2-ros-dev, python3-tf2-msgs, python3-tf2, python3-rosgraph, python3-geometry-msgs
 Description: Robot OS binding for tf2 transform library - Python 3
  This package is part of Robot OS (ROS). tf2 is the second generation
  of the transform library, which lets the user keep track of multiple
@@ -256,6 +257,3 @@
  of the transform library, which lets the user keep track of multiple
  coordinate frames over time. tf2 maintains the relationship between
  coordinate frames in a tree structure buffered in time, and lets the
- user transform points, vectors, etc between any two coordinate frames
- at any desired point in time.
- .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
export PYBUILD_SYSTEM=cmake

# for tests
export ROS_IP=127.0.0.1

ifneq (,$(filter $(DEB_BUILD_ARCH),amd64))
  TESTS=--before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests" --after-test "catkin_test_results {build_dir}"
else
  TESTS=--before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests || true"
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- ${TESTS}

## ros-geometry2 0.7.6

=== tf2_geometry_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_geometry_msgs)

find_package(orocos_kdl)
find_package(catkin REQUIRED COMPONENTS geometry_msgs tf2_ros tf2)
find_package(Boost COMPONENTS thread REQUIRED)

# Issue #53
find_library(KDL_LIBRARY REQUIRED NAMES orocos-kdl HINTS ${orocos_kdl_LIBRARY_DIRS})

catkin_package(
   LIBRARIES ${KDL_LIBRARY}
   INCLUDE_DIRS include
   DEPENDS orocos_kdl
   CATKIN_DEPENDS  geometry_msgs tf2_ros tf2)


include_directories(include
                    ${catkin_INCLUDE_DIRS}
)

link_directories(${orocos_kdl_LIBRARY_DIRS})



install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)

catkin_add_gtest(test_tomsg_frommsg test/test_tomsg_frommsg.cpp)
target_include_directories(test_tomsg_frommsg PUBLIC ${orocos_kdl_INCLUDE_DIRS})
target_link_libraries(test_tomsg_frommsg ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})

find_package(catkin REQUIRED COMPONENTS geometry_msgs rostest tf2_ros tf2)

add_executable(test_geometry_msgs EXCLUDE_FROM_ALL test/test_tf2_geometry_msgs.cpp)
target_include_directories(test_geometry_msgs PUBLIC ${orocos_kdl_INCLUDE_DIRS})
target_link_libraries(test_geometry_msgs ${catkin_LIBRARIES} ${GTEST_LIBRARIES} ${orocos_kdl_LIBRARIES})
add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test.launch)
add_rostest(${CMAKE_CURRENT_SOURCE_DIR}/test/test_python.launch)


if(TARGET tests)
  add_dependencies(tests test_geometry_msgs)
endif()


endif()

=== debian/changelog ===
ros-geometry2 (0.7.6-1) unstable; urgency=medium

  * New upstream version 0.7.6
  * Drop upstreamed patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 12 Oct 2022 10:18:57 +0200

ros-geometry2 (0.7.5-10) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018625)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:42:30 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
 		libboost-dev, libboost-thread-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev, ros-sensor-msgs, librostest-dev, libgtest-dev,
-		python3-nose <!nocheck>, python3-rostest <!nocheck>, python3-sensor-msgs <!nocheck>,
+		python3-rostest <!nocheck>, python3-sensor-msgs <!nocheck>,
 		python3-pykdl <!nocheck>, python3-actionlib <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/geometry2

## ros-geometry2 0.7.7

=== debian/changelog ===
ros-geometry2 (0.7.7-3) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros (Closes: #1084042)

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Oct 2024 00:44:09 +0200

ros-geometry2 (0.7.7-2) unstable; urgency=medium

  * Add upstream patch for Python 3.13 (Closes: #1081651)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 17 Sep 2024 15:20:38 +0200

ros-geometry2 (0.7.7-1) unstable; urgency=medium

  * New upstream version 0.7.7
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Wed, 18 Oct 2023 16:35:23 +0200

=== debian/control ===
Source: ros-geometry2
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros (>= 0.14.1~),
 dh-sequence-python3,
 libactionlib-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libbullet-dev,
 libconsole-bridge-dev,
 libeigen3-dev,
 libgeometry-msgs-dev,
 libgtest-dev,
 libmessage-filters-dev,
 liborocos-kdl-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libxmlrpcpp-dev,
 python3-actionlib <!nocheck>,
 python3-all-dev,
 python3-pykdl <!nocheck>,
 python3-rosgraph (>= 1.14.3+ds1-7),
 python3-rospy (>= 1.14.3+ds1-7),
 python3-rostest <!nocheck>,
 python3-sensor-msgs <!nocheck>,
 python3-setuptools,
 ros-actionlib-msgs,
 ros-cmake-modules,
 ros-message-generation,
 ros-sensor-msgs,
 rosbash <!nocheck>,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometry2
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry2
Vcs-Git: https://salsa.debian.org/science-team/ros-geometry2.git

Package: libtf2-2d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the library itself.

Package: cl-tf2-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-actionlib-msgs,
 cl-geometry-msgs,
 ${misc:Depends},
Description: Robot OS tf2 transform library messages - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the LISP binding (messages).

Package: cl-tf2-srvs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS tf2 transform library services - LISP
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the LISP binding (services).

Package: libtf2-bullet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbullet-dev,
 libgeometry-msgs-dev,
 libtf2-dev,
 ${misc:Depends},
Description: Robot OS tf2 transform library for Bullet - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files for libtf2 for Bullet.

Package: libtf2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libconsole-bridge-dev,
 libgeometry-msgs-dev,
 libroscpp-core-dev,
 libtf2-2d ( = ${binary:Version}),
 libtf2-geometry-msgs-dev,
 libtf2-msgs-dev,
 ${misc:Depends},
Description: Robot OS tf2 transform library - development files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files of the tf2 library.

#tf2_eigen
Package: libtf2-eigen-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libeigen3-dev,
 libgeometry-msgs-dev,
 libtf2-dev,
 ${misc:Depends},
Description: Robot OS tf2 transform library for Eigen - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains development files to convert between libtf2 and Eigen.

#tf2_geometry_msgs
Package: libtf2-geometry-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgeometry-msgs-dev,
 liborocos-kdl-dev,
 libtf2-dev,
 ${misc:Depends},
Description: Robot OS geometry messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files to transform geometry messages
 to tf2.

#tf2_kdl
Package: libtf2-kdl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libeigen3-dev,
 liborocos-kdl-dev,
 libtf2-dev,
 libtf2-msgs-dev,
 libtf2-ros-dev,
 ${misc:Depends},
Description: Robot OS tf2 transform library using Orocos-KDL - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files to convert between tf2 and
 liborocos-kdl.

Package: libtf2-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libactionlib-msgs-dev,
 libgeometry-msgs-dev,
 ros-message-generation,
 ${misc:Depends},
Description: Robot OS messages for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files.

Package: libtf2-ros-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libactionlib-dev,
 libactionlib-msgs-dev,
 libgeometry-msgs-dev,
 libmessage-filters-dev,
 libroscpp-dev,
 libtf2-dev,
 libtf2-msgs-dev,
 libtf2-ros1d (= ${binary:Version}),
 ${misc:Depends},
Description: Robot OS binding for tf2 transform library - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the development files of the ROS binding to tf2.

Package: libtf2-ros1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS binding for tf2 transform library
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the ROS bindings to tf2.

Package: libtf2-sensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libeigen3-dev,
 libsensor-msgs-dev,
 libtf2-dev,
 libtf2-ros-dev,
 ${misc:Depends},
Description: Small lib for ROS to transform sensor_msgs with tf2 - dev files
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains utils to transform sensor_msgs with tf2.

Package: python3-tf2
Section: python
Architecture: any
Depends:
 libtf2-dev,
 python3-geometry-msgs,
 python3-rospy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Robot OS tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 binding.

Package: python3-tf2-geometry-msgs
Section: python
Architecture: all
Depends:
 python3-geometry-msgs,
 python3-pykdl,
 python3-rospy,
 python3-tf2-ros,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS tf2 transform library for Bullet - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 code to transform geometry messages to tf2.

Package: python3-tf2-kdl
Section: python
Architecture: all
Depends:
 python3-geometry-msgs,
 python3-pykdl,
 python3-rospy,
 python3-tf2-ros,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS tf2 transform library using Orocos-KDL - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation
 of the transform library, which lets the user keep track of multiple
 coordinate frames over time. tf2 maintains the relationship between
 coordinate frames in a tree structure buffered in time, and lets the
 user transform points, vectors, etc between any two coordinate frames
 at any desired point in time.
 .
 This package contains the Python 3 code to convert betweenw tf2 and
 liborocos-kdl.

Package: python3-tf2-msgs
Section: python
Architecture: all
Depends:
 python3-actionlib-msgs,
 python3-geometry-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS messages for tf2 transform library - Python 3
 This package is part of Robot OS (ROS). tf2 is the second generation

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export ROS_PYTHON_VERSION = 3
export ROS_PYTHON_EXTENSION_PACKAGES = tf2_py
export ROS_CONFIGURE_ARGS=-DPYVER={python_version}
export ROS_IGNORE_TEST_RESULTS = $(if $(filter amd64,$(DEB_HOST_ARCH)),,1)

%:
	dh $@ --buildsystem=ros
